'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (array) {
  var numberType = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'odd';

  if (!Array.isArray(array)) {
    throw Error('Input item is not an array');
  }
  return array.filter(function (arrayItem) {
    if (typeof arrayItem !== 'number') {
      throw Error('Array may contain only numbers');
    }

    return numberType === 'even' ? arrayItem % 2 === 0 : arrayItem % 2 !== 0;
  });
};